## pacman4console 1.2

=== Makefile ===
all:
	gcc -lncurses pacman.c     -o pacman
	gcc -lncurses pacmanedit.c -o pacmanedit

install:	all
	cp pacman /usr/local/bin
	cp pacmanedit /usr/local/bin
	mkdir -p /usr/local/share/pacman
	cp -fR Levels/ /usr/local/share/pacman/
	chown root:games /usr/local/bin/pacman
	chown root:games /usr/local/share/pacman -R
	chmod 750 /usr/local/bin/pacman
	chmod 750 /usr/local/bin/pacmanedit
	chmod 750 /usr/local/share/pacman/ -R

uninstall:
	rm -f /usr/local/bin/pacman
	rm -f /usr/local/bin/pacmanedit
	rm -f /usr/local/share/pacman/Levels/level0[1-9].dat
	rm -f /usr/local/share/pacman/Levels/README
	rm -f /usr/local/share/pacman/Levels/template.dat
	if [ -e /usr/local/share/pacman/Levels/ ] ; then rmdir /usr/local/share/pacman/Levels/ ; fi
	if [ -e /usr/local/share/pacman/ ] ; then rmdir /usr/local/share/pacman/ ; fi

clean:	uninstall
	rm -f pacman
	rm -f pacmanedit

=== debian/changelog ===
pacman4console (1.2-5) unstable; urgency=medium

  * Bumped Standards-Version from 3.9.4 to 3.9.5.
  * debian/copyright: added the upstream e-mail address.
  * debian/control:
      - Changed Priority from extra to optional.
      - Fixed the Vcs-Browser field.
  * debian/source/: added an override to reply to check-gpg-signature.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Fri, 27 Dec 2013 14:53:25 -0200

pacman4console (1.2-4) unstable; urgency=low

  * debian/watch: re-added. Thanks a lot to Bart Martens <bartm@debian.org>.
  * debian/source/lintian-overrides: removed because it is useless now.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Thu, 25 Jul 2013 11:42:24 -0300

pacman4console (1.2-3) unstable; urgency=low

  * Migrations:
      - debian format from 1.0 to 3.0. (Closes: #661027)
      - debian/changelog to 1.0.
      - debhelper level from 5 to 9.
      - patch system from dpatch to quilt.
      - VCS: svn to git.
  * debian/control:
      - added dpkg-dev as Build-Depends.
      - added ${misc:Depends} to Depends field.
      - droped leading article from short description.
      - removed screeshot reference from long description.
      - updated Standards-Version from 3.7.3 to 3.9.4.
      - updated homepage.
  * debian/dirs: removed. Using Makefile only.
  * debian/gbp.conf: added to allow git-buildpackage use.
  * debian/manpages: created to install manuals.
  * debian/override: renamed to lintian-overrides.
  * debian/patches/
      - fix_array_index.patch: Fix array index out of bounds if pacman or
            ghost is going through one border to the opposite site. Thanks
            to Yannic Scheper. (Closes: #641657)
      - Makefile.patch:
          . added GCC hardening.
          . adjusted lncurses position to avoid FTBFS when using --as-needed.
            Thanks to Alex Chiang. (Closes: #641384)
          . switched several commands by "install" to simplify actions.
      - pacman.c.patch: fix possible buffer overflow when using an argument
            larger than 99 characters to start the program. Thanks to Yannic
            Scheper. (Closes: #641652)
  * debian/rules: updated to new (reduced) format.
  * debian/watch: removed because the current page doesn't allow watch. Made
      an overide for this situation.
  * manpages: fixed little mistakes.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Tue, 30 Apr 2013 21:55:50 -0300

pacman4console (1.2-2) unstable; urgency=low

  * Cleaned debian/rules file.
  * Changed Makefile patch to fix .dat permissions.
  * Moved README file from /usr/share/pacman4console/Levels to
    /usr/share/doc/pacman4console.
  * Added the screenshot.png file to debian/docs.
  * Fixed the debian/watch sintax to access GooglePages site (Closes: #450247).
  * Added "screenshot" to long description.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Mon, 11 Nov 2007 16:48:15 -0200

pacman4console (1.2-1) unstable; urgency=low

  * Initial release (Closes: #402287)

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Fri,  8 Dec 2006 10:54:06 -0200

=== debian/control ===
Source: pacman4console
Section: games
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libncurses5-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pacman4console.git
Vcs-Git: git://anonscm.debian.org/collab-maint/pacman4console.git
Homepage: https://sites.google.com/site/doctormike/pacman.html

Package: pacman4console
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: console based pacman game
 This is a simple but very good pacman game. Also, its source code is very
 simple and well commented so it may be a good reference for learning ncurses
 and C programming.
 .
 Pacman4Console is an ASCII character based game. This game has nine levels.
 But you can make your own levels.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --parallel

=== debian/watch ===
version=3
https://sites.google.com/site/doctormike/pacman.html .*/pacman-(\d\S*)\.tar\.gz.*

## pacman4console 1.3

=== Makefile ===
prefix=/usr/local
bindir=$(prefix)/bin
datarootdir=$(prefix)/share

all:
	gcc pacman.c     -o pacman     -DDATAROOTDIR=\"$(datarootdir)\" $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -lncurses
	gcc pacmanedit.c -o pacmanedit -DDATAROOTDIR=\"$(datarootdir)\" $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -lncurses

install:    all
	mkdir -p $(DESTDIR)$(bindir)
	mkdir -p $(DESTDIR)$(datarootdir)/pacman
	cp -fR Levels/ $(DESTDIR)$(datarootdir)/pacman/
	-chown root:games $(DESTDIR)$(bindir)/pacman
	-chown root:games $(DESTDIR)$(datarootdir)/pacman -R
	chmod 750 $(DESTDIR)$(bindir)/pacman
	chmod 750 $(DESTDIR)$(bindir)/pacmanedit
	chmod 750 $(DESTDIR)$(datarootdir)/pacman/ -R

uninstall:
	rm -f $(DESTDIR)$(bindir)/pacman
	rm -f $(DESTDIR)$(bindir)/pacmanedit
	rm -f $(DESTDIR)$(datarootdir)/pacman/Levels/level0[1-9].dat
	rm -f $(DESTDIR)$(datarootdir)/pacman/Levels/README
	rm -f $(DESTDIR)$(datarootdir)/pacman/Levels/template.dat
	if [ -e $(DESTDIR)$(datarootdir)/pacman/Levels/ ] ; then rmdir $(DESTDIR)$(datarootdir)/pacman/Levels/ ; fi
	if [ -e $(DESTDIR)$(datarootdir)/pacman/ ] ; then rmdir $(DESTDIR)$(datarootdir)/pacman/ ; fi

clean:	uninstall
	rm -f pacman
	rm -f pacmanedit

=== debian/changelog ===
pacman4console (1.3-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Import game on Salsa
  * Switch to DebHelper 13
  * Fix FTBFS with GCC-14 (Closes: #1066196)
  * Remove old menu entry
  * Set Rules-Requires-Root: no

  [ Alexandre Dantas ]
  * Updated `debian/copyright` and `debian/changelog`

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 20:17:56 +0100

pacman4console (1.3-1) unstable; urgency=medium

  * New upstream release
  * New maintainer (closes: #756024)
  * debian/patches: Updated all patches to newest source code
  * debian/control:
      - Changed Vcs-* fields to new repositories
      - Changed package description

 -- Alexandre Dantas <eu@alexdantas.net>  Tue, 12 Aug 2014 13:32:31 -0400

pacman4console (1.2-8) unstable; urgency=medium

  * Orphaned (see #756024).
  * Changed maintainer to Debian QA Group <packages@qa.debian.org>.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Fri, 25 Jul 2014 11:24:01 -0300

pacman4console (1.2-7) unstable; urgency=medium

  * debian/desktop/pacman4console: renamed to pacman4console.desktop.
    Thanks to Markus Koschany <apo@gambaru.de>. (Closes: #738709)
  * debian/docs: removed because the screenshot.png file is useless
    and the upstream README is a bit deprecated.
  * debian/install: updated because a file was renamed and another
    was moved to debian/desktop/.
  * debian/man/:
      - Removed the useless file pacman4console.6.old.
      - Updated and improved the pacman4consoleeditor.1.
  * debian/pacman4console.xpm: moved to debian/desktop directory.
  * debian/patches/Makefile: updated to avoid the upstream
    Levels/README install, because the pacman4consoleeditor.1 now has
    this information.
  * debian/README.Debian: added to gather essential information from
    upstream README.
  * debian/rules: removed useless lines 'DPKG_EXPORT_BUILDFLAGS' and
    'include /usr/share/dpkg/buildflags.mk'. Using DH9 turns these
    lines obsoletes.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Wed, 12 Feb 2014 09:57:18 -0200

pacman4console (1.2-6) unstable; urgency=medium

  * Added a desktop entry. Thanks to Markus Koschany <apo@gambaru.de>
    for the suggestion. So, created debian/{desktop/pacman4cosole,menu,
    pacman4console.xpm}. (Closes: #737997)
  * manpages:
      - debian/man/: created to group all manpages and their sources.
      - pacman4console.1: moved to debian/man/ and updated.
      - pacman4consoleedit.1: moved to debian/man/.
  * debian/copyright: updated the packaging copyright years.
  * debian/install: added to install desktop and pacman4console.xpm files.
  * debian/patches:
      - Added a new patch (pacman.c) that allows exit or restart after
        "game over" message. This was fundamental to add a desktop entry.
        This patch gather the old 'fix_array_index' and 'pacman.c' patches.
        This patch also provides new features to pacman4console. To see more
        details, read the debian/patches/pacman.c from Debian source code.
        Special thanks to Yannic Scheper <ys42@cd42.de> that replied me
        quickly and made all necessary changes, creating a patch in some
        minutes, once the upstream stopped the development.
      - fix_array_index: deleted because the pacman.c provides the same
        function.
      - Removed the .patch extension from all patches.
  * debian/README.source: added to explain about new patch.
  * debian/source/lintian-overrides: removed as requested by Paul Wise.
    Thanks to Paul for explanations about the idea of the GPG sign check.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sun, 09 Feb 2014 13:11:09 -0200

=== debian/control ===
Source: pacman4console
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Alexandre Dantas <eu@alexdantas.net>,
Build-Depends: debhelper-compat (= 13), libncurses-dev
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/games-team/pacman4console.git
Vcs-Browser: https://salsa.debian.org/games-team/pacman4console
Homepage: https://sites.google.com/site/doctormike/pacman.html

Package: pacman4console
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ncurses-based pacman game
 Pacman4Console is a simple pacman game for the terminal.
 It is played on the command-line, with ASCII character graphics.
 .
 It has nine levels by default, and you can make your own with
 its own level editor.

=== debian/watch ===
version=3
https://sites.google.com/site/doctormike/pacman.html .*/pacman-(\d\S+)\.tar\.(?:bz2|gz|xz).*
